Index: /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 5931)
+++ /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 5932)
@@ -126,5 +126,5 @@
    nn_msh      =    1      !  create (=1) a mesh file or not (=0)
    rn_hmin     =   -3.     !  min depth of the ocean (>0) or min number of ocean level (<0)
-   rn_isfhmin  =    0.01   !  treshold (m) to discriminate grounding ice to floating ice
+   rn_isfhmin  =    1.00   !  treshold (m) to discriminate grounding ice to floating ice
    rn_e3zps_min=   20.     !  partial step thickness is set larger than the minimum of
    rn_e3zps_rat=    0.1    !  rn_e3zps_min and rn_e3zps_rat*e3t, with 0<rn_e3zps_rat<1
Index: /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 5931)
+++ /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 5932)
@@ -263,4 +263,5 @@
          WRITE(numout,*) '      min depth of the ocean    (>0) or    rn_hmin   = ', rn_hmin
          WRITE(numout,*) '      min number of ocean level (<0)       '
+         WRITE(numout,*) '      treshold to open the isf cavity   rn_isfhmin   = ', rn_isfhmin, ' (m)'
          WRITE(numout,*) '      minimum thickness of partial      rn_e3zps_min = ', rn_e3zps_min, ' (m)'
          WRITE(numout,*) '         step level                     rn_e3zps_rat = ', rn_e3zps_rat
Index: /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90
===================================================================
--- /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 5931)
+++ /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/domzgr.F90	(revision 5932)
@@ -574,11 +574,4 @@
       !                       
       IF ( .not. ln_sco ) THEN                                !==  set a minimum depth  ==!
-         ! patch to avoid case bathy = ice shelf draft and bathy between 0 and zhmin
-         IF ( ln_isfcav ) THEN
-            WHERE ( bathy == risfdep )
-               bathy   = 0.0_wp ; risfdep = 0.0_wp
-            END WHERE
-         END IF
-         ! end patch
          IF( rn_hmin < 0._wp ) THEN    ;   ik = - INT( rn_hmin )                                      ! from a nb of level
          ELSE                          ;   ik = MINLOC( gdepw_1d, mask = gdepw_1d > rn_hmin, dim = 1 )  ! from a depth
@@ -1234,5 +1227,4 @@
       CALL wrk_alloc( jpi, jpj, zbathy, zmask, zrisfdep)
       CALL wrk_alloc( jpi, jpj, zmisfdep, zmbathy )
-
 
       ! (ISF) compute misfdep
Index: /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/iscplini.F90
===================================================================
--- /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/iscplini.F90	(revision 5931)
+++ /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/iscplini.F90	(revision 5932)
@@ -51,5 +51,5 @@
    SUBROUTINE iscpl_init()
       INTEGER ::   ios           ! Local integer output status for namelist read
-      NAMELIST/namsbc_iscpl/nn_fiscpl,ln_hsb
+      NAMELIST/namsbc_iscpl/nn_fiscpl,ln_hsb,nn_drown
       !!----------------------------------------------------------------------
       !                                   ! ============
Index: /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90
===================================================================
--- /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90	(revision 5931)
+++ /branches/NERC/dev_r5589_is_oce_cpl/NEMOGCM/NEMO/OPA_SRC/DOM/istate.F90	(revision 5932)
@@ -37,4 +37,5 @@
    USE eosbn2          ! equation of state            (eos bn2 routine)
    USE domvvl          ! varying vertical mesh
+   USE iscplrst        ! ice sheet coupling
    USE dynspg_oce      ! pressure gradient schemes
    USE dynspg_flt      ! filtered free surface
@@ -47,5 +48,4 @@
    USE wrk_nemo        ! Memory allocation
    USE timing          ! Timing
-   USE iscplrst
 
    IMPLICIT NONE