Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/constants.f
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/constants.f	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/constants.f	(revision 5947)
@@ -5,5 +5,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: constants.f,v 1.2 2000/04/19 21:56:25 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/grids.f
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/grids.f	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/grids.f	(revision 5947)
@@ -8,5 +8,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: grids.f,v 1.6 2001/08/21 21:06:41 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/iounits.f
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/iounits.f	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/iounits.f	(revision 5947)
@@ -7,5 +7,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: iounits.f,v 1.2 2000/04/19 21:56:25 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/kinds_mod.f
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/kinds_mod.f	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/kinds_mod.f	(revision 5947)
@@ -5,5 +5,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: kinds_mod.f,v 1.2 2000/04/19 21:56:25 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/makefile
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/makefile	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/makefile	(revision 5947)
@@ -3,5 +3,5 @@
 # Makefile for interpolation code
 #
-# CVS:$Id: makefile,v 1.7 2000/04/19 21:46:44 pwjones Exp $
+# CVS:$Id$
 #
 #COMPILE = xlf
Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/netcdf.f
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/netcdf.f	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/netcdf.f	(revision 5947)
@@ -6,5 +6,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: netcdf.f,v 1.2 2000/04/19 21:56:25 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap.f
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap.f	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap.f	(revision 5947)
@@ -6,5 +6,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap.f,v 1.5 2000/04/19 21:56:25 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_bicubic.f
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_bicubic.f	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_bicubic.f	(revision 5947)
@@ -6,5 +6,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_bicubic.f,v 1.5 2001/08/22 18:20:41 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_bilinear.f
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_bilinear.f	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_bilinear.f	(revision 5947)
@@ -6,5 +6,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_bilinear.f,v 1.6 2001/08/22 18:20:40 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_conserv.f
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_conserv.f	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_conserv.f	(revision 5947)
@@ -10,5 +10,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_conserv.f,v 1.10 2001/08/21 21:05:13 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_distwgt.f
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_distwgt.f	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_distwgt.f	(revision 5947)
@@ -7,5 +7,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_distwgt.f,v 1.3 2000/04/19 21:56:26 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_read.f
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_read.f	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_read.f	(revision 5947)
@@ -7,5 +7,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_read.f,v 1.6 2000/04/19 21:56:26 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_vars.f
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_vars.f	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_vars.f	(revision 5947)
@@ -7,5 +7,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_vars.f,v 1.5 2000/04/19 21:56:26 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_write.f
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_write.f	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/remap_write.f	(revision 5947)
@@ -7,5 +7,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: remap_write.f,v 1.7 2001/08/21 21:06:42 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/scrip.f
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/scrip.f	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/scrip.f	(revision 5947)
@@ -6,5 +6,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: scrip.f,v 1.6 2001/08/21 21:06:44 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/scrip_test.f
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/scrip_test.f	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/scrip_test.f	(revision 5947)
@@ -5,5 +5,5 @@
 !     format.
 !
-!     CVS: $Id: scrip_test.f,v 1.6 2000/04/19 21:45:09 pwjones Exp $
+!     CVS: $Id$
 !
 !-----------------------------------------------------------------------
Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/scrip_test_repeat.f
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/scrip_test_repeat.f	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/scrip_test_repeat.f	(revision 5947)
@@ -7,5 +7,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: scrip_test_repeat.f,v 1.3 2000/04/19 21:56:26 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 
Index: branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/timers.f
===================================================================
--- branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/timers.f	(revision 4712)
+++ branches/2014/dev_r4650_UKMO12_CFL_diags_take2/NEMOGCM/TOOLS/WEIGHTS/SCRIP1.4/source/timers.f	(revision 5947)
@@ -6,5 +6,5 @@
 !-----------------------------------------------------------------------
 !
-!     CVS:$Id: timers.f,v 1.2 2000/04/19 21:56:26 pwjones Exp $
+!     CVS:$Id$
 !
 !     Copyright (c) 1997, 1998 the Regents of the University of 